Skip to content
Start here

Update a zone snippet

snippets.update(strsnippet_name, SnippetUpdateParams**kwargs) -> SnippetUpdateResponse
PUT/zones/{zone_id}/snippets/{snippet_name}

Creates or updates a snippet belonging to the zone.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Snippets Write
ParametersExpand Collapse
zone_id: str

Use this field to specify the unique ID of the zone.

snippet_name: str

Identify the snippet.

metadata: Metadata

Provide metadata about the snippet.

main_module: str

Specify the name of the file that contains the main module of the snippet.

minLength1
ReturnsExpand Collapse
class SnippetUpdateResponse:

Contain the response result.

created_on: datetime

Indicates when the snippet was created.

formatdate-time
snippet_name: str

Identify the snippet.

modified_on: Optional[datetime]

Indicates when the snippet was last modified.

formatdate-time

Update a zone snippet

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
snippet = client.snippets.update(
    snippet_name="my_snippet",
    zone_id="9f1839b6152d298aca64c4e906b6d074",
    metadata={
        "main_module": "main.js"
    },
)
print(snippet.created_on)
{
  "errors": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "messages": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "result": {
    "created_on": "2000-01-01T00:00:00.000000Z",
    "snippet_name": "my_snippet",
    "modified_on": "2000-01-01T00:00:00.000000Z"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "messages": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "result": {
    "created_on": "2000-01-01T00:00:00.000000Z",
    "snippet_name": "my_snippet",
    "modified_on": "2000-01-01T00:00:00.000000Z"
  },
  "success": true
}